Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Edit this page
Toggle table of contents sidebar

# pontos.version.helper package

pontos.version.helper.get_last_release_versions(parse_version, *, git_tag_prefix='', ignore_pre_releases=False, tag_name=None)

  Get the last released Versions from git.

  Parameters:

    - git_tag_prefix (str | None) – Git tag prefix to consider

    - ignore_pre_release – Ignore pre releases and only consider non pre releases. Default is False.

    - tag_name (str | None) – A pattern for filtering the tags. For example: “1.2.*”

  Returns:

    List of released versions

  Return type:

    Iterator[Version]

pontos.version.helper.get_last_release_version(parse_version, *, git_tag_prefix='', ignore_pre_releases=False, tag_name=None)

  Get the last released Version from git.

  Parameters:

    - git_tag_prefix (str | None) – Git tag prefix to consider

    - ignore_pre_release – Ignore pre releases and only consider non pre releases. Default is False.

    - tag_name (str | None) – A pattern for filtering the tags. For example: “1.2.*”

  Returns:

    Last released git tag as Version if tags were found or None

  Return type:

    Version | None